/// <reference types="react" />
import { ComponentType, SVGAttributes } from 'react';

interface Props extends SVGAttributes<SVGElement> {
  color?: string;
  size?: string | number;
}

type Icon = ComponentType<Props>;
export const AlarmFill: Icon;
export const Alarm: Icon;
export const Alt: Icon;
export const AppIndicator: Icon;
export const App: Icon;
export const ArchiveFill: Icon;
export const Archive: Icon;
export const Arrow90degDown: Icon;
export const Arrow90degLeft: Icon;
export const Arrow90degRight: Icon;
export const Arrow90degUp: Icon;
export const ArrowBarDown: Icon;
export const ArrowBarLeft: Icon;
export const ArrowBarRight: Icon;
export const ArrowBarUp: Icon;
export const ArrowClockwise: Icon;
export const ArrowCounterclockwise: Icon;
export const ArrowDownCircleFill: Icon;
export const ArrowDownCircle: Icon;
export const ArrowDownLeftCircleFill: Icon;
export const ArrowDownLeftCircle: Icon;
export const ArrowDownLeftSquareFill: Icon;
export const ArrowDownLeftSquare: Icon;
export const ArrowDownLeft: Icon;
export const ArrowDownRightCircleFill: Icon;
export const ArrowDownRightCircle: Icon;
export const ArrowDownRightSquareFill: Icon;
export const ArrowDownRightSquare: Icon;
export const ArrowDownRight: Icon;
export const ArrowDownShort: Icon;
export const ArrowDownSquareFill: Icon;
export const ArrowDownSquare: Icon;
export const ArrowDownUp: Icon;
export const ArrowDown: Icon;
export const ArrowLeftCircleFill: Icon;
export const ArrowLeftCircle: Icon;
export const ArrowLeftRight: Icon;
export const ArrowLeftShort: Icon;
export const ArrowLeftSquareFill: Icon;
export const ArrowLeftSquare: Icon;
export const ArrowLeft: Icon;
export const ArrowRepeat: Icon;
export const ArrowReturnLeft: Icon;
export const ArrowReturnRight: Icon;
export const ArrowRightCircleFill: Icon;
export const ArrowRightCircle: Icon;
export const ArrowRightShort: Icon;
export const ArrowRightSquareFill: Icon;
export const ArrowRightSquare: Icon;
export const ArrowRight: Icon;
export const ArrowUpCircleFill: Icon;
export const ArrowUpCircle: Icon;
export const ArrowUpLeftCircleFill: Icon;
export const ArrowUpLeftCircle: Icon;
export const ArrowUpLeftSquareFill: Icon;
export const ArrowUpLeftSquare: Icon;
export const ArrowUpLeft: Icon;
export const ArrowUpRightCircleFill: Icon;
export const ArrowUpRightCircle: Icon;
export const ArrowUpRightSquareFill: Icon;
export const ArrowUpRightSquare: Icon;
export const ArrowUpRight: Icon;
export const ArrowUpShort: Icon;
export const ArrowUpSquareFill: Icon;
export const ArrowUpSquare: Icon;
export const ArrowUp: Icon;
export const ArrowsAngleContract: Icon;
export const ArrowsAngleExpand: Icon;
export const ArrowsCollapse: Icon;
export const ArrowsExpand: Icon;
export const ArrowsFullscreen: Icon;
export const ArrowsMove: Icon;
export const AspectRatioFill: Icon;
export const AspectRatio: Icon;
export const Asterisk: Icon;
export const At: Icon;
export const AwardFill: Icon;
export const Award: Icon;
export const BackspaceFill: Icon;
export const BackspaceReverseFill: Icon;
export const BackspaceReverse: Icon;
export const Backspace: Icon;
export const BagCheck: Icon;
export const BagDash: Icon;
export const BagFill: Icon;
export const BagPlus: Icon;
export const Bag: Icon;
export const BarChartFill: Icon;
export const BarChart: Icon;
export const BasketFill: Icon;
export const Basket: Icon;
export const Basket2Fill: Icon;
export const Basket2: Icon;
export const Basket3Fill: Icon;
export const Basket3: Icon;
export const BatteryCharging: Icon;
export const BatteryFull: Icon;
export const BatteryHalf: Icon;
export const Battery: Icon;
export const BellFill: Icon;
export const Bell: Icon;
export const BlockquoteLeft: Icon;
export const BlockquoteRight: Icon;
export const BookHalf: Icon;
export const Book: Icon;
export const BookmarkCheck: Icon;
export const BookmarkDash: Icon;
export const BookmarkFill: Icon;
export const BookmarkPlus: Icon;
export const Bookmark: Icon;
export const BookmarksFill: Icon;
export const Bookmarks: Icon;
export const BootstrapFill: Icon;
export const BootstrapReboot: Icon;
export const Bootstrap: Icon;
export const BoundingBoxCircles: Icon;
export const BoundingBox: Icon;
export const BoxArrowDownLeft: Icon;
export const BoxArrowDownRight: Icon;
export const BoxArrowDown: Icon;
export const BoxArrowInDownLeft: Icon;
export const BoxArrowInDownRight: Icon;
export const BoxArrowInDown: Icon;
export const BoxArrowInLeft: Icon;
export const BoxArrowInRight: Icon;
export const BoxArrowInUpLeft: Icon;
export const BoxArrowInUpRight: Icon;
export const BoxArrowInUp: Icon;
export const BoxArrowLeft: Icon;
export const BoxArrowRight: Icon;
export const BoxArrowUpLeft: Icon;
export const BoxArrowUpRight: Icon;
export const BoxArrowUp: Icon;
export const BoxSeam: Icon;
export const Box: Icon;
export const Braces: Icon;
export const BriefcaseFill: Icon;
export const Briefcase: Icon;
export const BrightnessAltHighFill: Icon;
export const BrightnessAltHigh: Icon;
export const BrightnessAltLowFill: Icon;
export const BrightnessAltLow: Icon;
export const BrightnessHighFill: Icon;
export const BrightnessHigh: Icon;
export const BrightnessLowFill: Icon;
export const BrightnessLow: Icon;
export const Brush: Icon;
export const BucketFill: Icon;
export const Bucket: Icon;
export const Building: Icon;
export const Bullseye: Icon;
export const CalendarCheckFill: Icon;
export const CalendarCheck: Icon;
export const CalendarDateFill: Icon;
export const CalendarDate: Icon;
export const CalendarDayFill: Icon;
export const CalendarDay: Icon;
export const CalendarFill: Icon;
export const CalendarMinusFill: Icon;
export const CalendarMinus: Icon;
export const CalendarMonthFill: Icon;
export const CalendarMonth: Icon;
export const CalendarPlusFill: Icon;
export const CalendarPlus: Icon;
export const Calendar: Icon;
export const Calendar2CheckFill: Icon;
export const Calendar2Check: Icon;
export const Calendar2DateFill: Icon;
export const Calendar2Date: Icon;
export const Calendar2DayFill: Icon;
export const Calendar2Day: Icon;
export const Calendar2Fill: Icon;
export const Calendar2MinusFill: Icon;
export const Calendar2Minus: Icon;
export const Calendar2MonthFill: Icon;
export const Calendar2Month: Icon;
export const Calendar2PlusFill: Icon;
export const Calendar2Plus: Icon;
export const Calendar2: Icon;
export const Calendar3Fill: Icon;
export const Calendar3: Icon;
export const Calendar4: Icon;
export const CameraVideoFill: Icon;
export const CameraVideoOffFill: Icon;
export const CameraVideoOff: Icon;
export const CameraVideo: Icon;
export const Camera: Icon;
export const CapslockFill: Icon;
export const Capslock: Icon;
export const CardChecklist: Icon;
export const CardHeading: Icon;
export const CardImage: Icon;
export const CardList: Icon;
export const CardText: Icon;
export const CaretDownFill: Icon;
export const CaretDownSquareFill: Icon;
export const CaretDownSquare: Icon;
export const CaretDown: Icon;
export const CaretLeftFill: Icon;
export const CaretLeftSquareFill: Icon;
export const CaretLeftSquare: Icon;
export const CaretLeft: Icon;
export const CaretRightFill: Icon;
export const CaretRightSquareFill: Icon;
export const CaretRightSquare: Icon;
export const CaretRight: Icon;
export const CaretUpFill: Icon;
export const CaretUpSquareFill: Icon;
export const CaretUpSquare: Icon;
export const CaretUp: Icon;
export const CartCheck: Icon;
export const CartDash: Icon;
export const CartFill: Icon;
export const CartPlus: Icon;
export const Cart: Icon;
export const Cart2: Icon;
export const Cart3: Icon;
export const Cart4: Icon;
export const ChatDotsFill: Icon;
export const ChatDots: Icon;
export const ChatFill: Icon;
export const ChatQuoteFill: Icon;
export const ChatQuote: Icon;
export const ChatSquareDotsFill: Icon;
export const ChatSquareDots: Icon;
export const ChatSquareFill: Icon;
export const ChatSquareQuoteFill: Icon;
export const ChatSquareQuote: Icon;
export const ChatSquare: Icon;
export const Chat: Icon;
export const CheckAll: Icon;
export const CheckCircleFill: Icon;
export const CheckCircle: Icon;
export const CheckSquareFill: Icon;
export const CheckSquare: Icon;
export const Check: Icon;
export const Check2All: Icon;
export const Check2Circle: Icon;
export const Check2Square: Icon;
export const Check2: Icon;
export const ChevronBarContract: Icon;
export const ChevronBarDown: Icon;
export const ChevronBarExpand: Icon;
export const ChevronBarLeft: Icon;
export const ChevronBarRight: Icon;
export const ChevronBarUp: Icon;
export const ChevronCompactDown: Icon;
export const ChevronCompactLeft: Icon;
export const ChevronCompactRight: Icon;
export const ChevronCompactUp: Icon;
export const ChevronContract: Icon;
export const ChevronDoubleDown: Icon;
export const ChevronDoubleLeft: Icon;
export const ChevronDoubleRight: Icon;
export const ChevronDoubleUp: Icon;
export const ChevronDown: Icon;
export const ChevronExpand: Icon;
export const ChevronLeft: Icon;
export const ChevronRight: Icon;
export const ChevronUp: Icon;
export const CircleFill: Icon;
export const CircleHalf: Icon;
export const CircleSquare: Icon;
export const Circle: Icon;
export const ClipboardData: Icon;
export const Clipboard: Icon;
export const ClockFill: Icon;
export const ClockHistory: Icon;
export const Clock: Icon;
export const CloudDownload: Icon;
export const CloudFill: Icon;
export const CloudSlashFill: Icon;
export const CloudSlash: Icon;
export const CloudUpload: Icon;
export const Cloud: Icon;
export const CodeSlash: Icon;
export const Code: Icon;
export const CollectionFill: Icon;
export const CollectionPlayFill: Icon;
export const CollectionPlay: Icon;
export const Collection: Icon;
export const ColumnsGap: Icon;
export const Columns: Icon;
export const Command: Icon;
export const Compass: Icon;
export const ConeStriped: Icon;
export const Cone: Icon;
export const Controller: Icon;
export const CreditCard: Icon;
export const Crop: Icon;
export const Cup: Icon;
export const CursorFill: Icon;
export const CursorText: Icon;
export const Cursor: Icon;
export const DashCircleFill: Icon;
export const DashCircle: Icon;
export const DashSquareFill: Icon;
export const DashSquare: Icon;
export const Dash: Icon;
export const DiamondFill: Icon;
export const DiamondHalf: Icon;
export const Diamond: Icon;
export const DisplayFill: Icon;
export const Display: Icon;
export const DoorClosedFill: Icon;
export const DoorClosed: Icon;
export const Dot: Icon;
export const Download: Icon;
export const DropletFill: Icon;
export const DropletHalf: Icon;
export const Droplet: Icon;
export const EggFill: Icon;
export const EggFried: Icon;
export const Egg: Icon;
export const EjectFill: Icon;
export const Eject: Icon;
export const EmojiAngry: Icon;
export const EmojiDizzy: Icon;
export const EmojiFrown: Icon;
export const EmojiLaughing: Icon;
export const EmojiNeutral: Icon;
export const EmojiSmileUpsideDown: Icon;
export const EmojiSmile: Icon;
export const EmojiSunglasses: Icon;
export const EnvelopeFill: Icon;
export const EnvelopeOpenFill: Icon;
export const EnvelopeOpen: Icon;
export const Envelope: Icon;
export const ExclamationCircleFill: Icon;
export const ExclamationCircle: Icon;
export const ExclamationDiamondFill: Icon;
export const ExclamationDiamond: Icon;
export const ExclamationOctagonFill: Icon;
export const ExclamationOctagon: Icon;
export const ExclamationSquareFill: Icon;
export const ExclamationSquare: Icon;
export const ExclamationTriangleFill: Icon;
export const ExclamationTriangle: Icon;
export const Exclamation: Icon;
export const Exclude: Icon;
export const EyeFill: Icon;
export const EyeSlashFill: Icon;
export const EyeSlash: Icon;
export const Eye: Icon;
export const FileArrowDown: Icon;
export const FileArrowUp: Icon;
export const FileBreak: Icon;
export const FileCheck: Icon;
export const FileCode: Icon;
export const FileDiff: Icon;
export const FileEarmarkArrowDown: Icon;
export const FileEarmarkArrowUp: Icon;
export const FileEarmarkBreak: Icon;
export const FileEarmarkCheck: Icon;
export const FileEarmarkCode: Icon;
export const FileEarmarkDiff: Icon;
export const FileEarmarkMinus: Icon;
export const FileEarmarkPlus: Icon;
export const FileEarmarkRuled: Icon;
export const FileEarmarkSpreadsheet: Icon;
export const FileEarmarkText: Icon;
export const FileEarmarkZip: Icon;
export const FileEarmark: Icon;
export const FileMinus: Icon;
export const FilePlus: Icon;
export const FilePost: Icon;
export const FileRichtext: Icon;
export const FileRuled: Icon;
export const FileSpreadsheet: Icon;
export const FileText: Icon;
export const FileZip: Icon;
export const File: Icon;
export const FilesAlt: Icon;
export const Files: Icon;
export const Film: Icon;
export const FilterLeft: Icon;
export const FilterRight: Icon;
export const Filter: Icon;
export const FlagFill: Icon;
export const Flag: Icon;
export const FolderCheck: Icon;
export const FolderFill: Icon;
export const FolderMinus: Icon;
export const FolderPlus: Icon;
export const FolderSymlinkFill: Icon;
export const FolderSymlink: Icon;
export const Folder: Icon;
export const Fonts: Icon;
export const ForwardFill: Icon;
export const Forward: Icon;
export const FullscreenExit: Icon;
export const Fullscreen: Icon;
export const FunnelFill: Icon;
export const Funnel: Icon;
export const GearFill: Icon;
export const GearWideConnected: Icon;
export const GearWide: Icon;
export const Gear: Icon;
export const Gem: Icon;
export const GeoAlt: Icon;
export const Geo: Icon;
export const GiftFill: Icon;
export const Gift: Icon;
export const GraphDown: Icon;
export const GraphUp: Icon;
export const Grid1x2Fill: Icon;
export const Grid1x2: Icon;
export const Grid3x2GapFill: Icon;
export const Grid3x2Gap: Icon;
export const Grid3x2: Icon;
export const Grid3x3GapFill: Icon;
export const Grid3x3Gap: Icon;
export const Grid3x3: Icon;
export const GridFill: Icon;
export const Grid: Icon;
export const GripHorizontal: Icon;
export const GripVertical: Icon;
export const Hammer: Icon;
export const HandIndexThumb: Icon;
export const HandIndex: Icon;
export const HandThumbsDown: Icon;
export const HandThumbsUp: Icon;
export const HandbagFill: Icon;
export const Handbag: Icon;
export const Hash: Icon;
export const Headphones: Icon;
export const HeartFill: Icon;
export const HeartHalf: Icon;
export const Heart: Icon;
export const HexagonFill: Icon;
export const HexagonHalf: Icon;
export const Hexagon: Icon;
export const HouseDoorFill: Icon;
export const HouseDoor: Icon;
export const HouseFill: Icon;
export const House: Icon;
export const Hr: Icon;
export const ImageAlt: Icon;
export const ImageFill: Icon;
export const Image: Icon;
export const Images: Icon;
export const InboxFill: Icon;
export const Inbox: Icon;
export const InboxesFill: Icon;
export const Inboxes: Icon;
export const InfoCircleFill: Icon;
export const InfoCircle: Icon;
export const InfoSquareFill: Icon;
export const InfoSquare: Icon;
export const Info: Icon;
export const Intersect: Icon;
export const JustifyLeft: Icon;
export const JustifyRight: Icon;
export const Justify: Icon;
export const KanbanFill: Icon;
export const Kanban: Icon;
export const Laptop: Icon;
export const LayersFill: Icon;
export const LayersHalf: Icon;
export const Layers: Icon;
export const LayoutSidebarInsetReverse: Icon;
export const LayoutSidebarInset: Icon;
export const LayoutSidebarReverse: Icon;
export const LayoutSidebar: Icon;
export const LayoutSplit: Icon;
export const LayoutTextSidebarReverse: Icon;
export const LayoutTextSidebar: Icon;
export const LayoutTextWindowReverse: Icon;
export const LayoutTextWindow: Icon;
export const LayoutThreeColumns: Icon;
export const LayoutWtf: Icon;
export const LifePreserver: Icon;
export const LightningFill: Icon;
export const Lightning: Icon;
export const Link45deg: Icon;
export const Link: Icon;
export const ListCheck: Icon;
export const ListNested: Icon;
export const ListOl: Icon;
export const ListTask: Icon;
export const ListUl: Icon;
export const List: Icon;
export const LockFill: Icon;
export const Lock: Icon;
export const Map: Icon;
export const MicFill: Icon;
export const MicMuteFill: Icon;
export const MicMute: Icon;
export const Mic: Icon;
export const MinecartLoaded: Icon;
export const Minecart: Icon;
export const Moon: Icon;
export const MusicNoteBeamed: Icon;
export const MusicNoteList: Icon;
export const MusicNote: Icon;
export const MusicPlayerFill: Icon;
export const MusicPlayer: Icon;
export const Newspaper: Icon;
export const OctagonFill: Icon;
export const OctagonHalf: Icon;
export const Octagon: Icon;
export const Option: Icon;
export const Outlet: Icon;
export const Paperclip: Icon;
export const PauseFill: Icon;
export const Pause: Icon;
export const Pen: Icon;
export const PencilSquare: Icon;
export const Pencil: Icon;
export const PentagonFill: Icon;
export const PentagonHalf: Icon;
export const Pentagon: Icon;
export const PeopleFill: Icon;
export const People: Icon;
export const PersonBoundingBox: Icon;
export const PersonCheckFill: Icon;
export const PersonCheck: Icon;
export const PersonCircle: Icon;
export const PersonDashFill: Icon;
export const PersonDash: Icon;
export const PersonFill: Icon;
export const PersonLinesFill: Icon;
export const PersonPlusFill: Icon;
export const PersonPlus: Icon;
export const PersonSquare: Icon;
export const Person: Icon;
export const PhoneLandscape: Icon;
export const Phone: Icon;
export const PieChartFill: Icon;
export const PieChart: Icon;
export const PipFill: Icon;
export const Pip: Icon;
export const PlayFill: Icon;
export const Play: Icon;
export const Plug: Icon;
export const PlusCircleFill: Icon;
export const PlusCircle: Icon;
export const PlusSquareFill: Icon;
export const PlusSquare: Icon;
export const Plus: Icon;
export const Power: Icon;
export const PuzzleFill: Icon;
export const Puzzle: Icon;
export const QuestionCircleFill: Icon;
export const QuestionCircle: Icon;
export const QuestionDiamondFill: Icon;
export const QuestionDiamond: Icon;
export const QuestionOctagonFill: Icon;
export const QuestionOctagon: Icon;
export const QuestionSquareFill: Icon;
export const QuestionSquare: Icon;
export const Question: Icon;
export const ReceiptCutoff: Icon;
export const Receipt: Icon;
export const ReplyAllFill: Icon;
export const ReplyAll: Icon;
export const ReplyFill: Icon;
export const Reply: Icon;
export const Screwdriver: Icon;
export const Search: Icon;
export const Server: Icon;
export const ShieldFill: Icon;
export const ShieldLockFill: Icon;
export const ShieldLock: Icon;
export const ShieldShaded: Icon;
export const ShieldSlashFill: Icon;
export const ShieldSlash: Icon;
export const Shield: Icon;
export const ShiftFill: Icon;
export const Shift: Icon;
export const ShopWindow: Icon;
export const Shop: Icon;
export const Shuffle: Icon;
export const SkipBackwardFill: Icon;
export const SkipBackward: Icon;
export const SkipEndFill: Icon;
export const SkipEnd: Icon;
export const SkipForwardFill: Icon;
export const SkipForward: Icon;
export const SkipStartFill: Icon;
export const SkipStart: Icon;
export const SlashCircleFill: Icon;
export const SlashCircle: Icon;
export const SlashSquareFill: Icon;
export const SlashSquare: Icon;
export const Slash: Icon;
export const Sliders: Icon;
export const Soundwave: Icon;
export const Speaker: Icon;
export const SquareFill: Icon;
export const SquareHalf: Icon;
export const Square: Icon;
export const StarFill: Icon;
export const StarHalf: Icon;
export const Star: Icon;
export const StopFill: Icon;
export const Stop: Icon;
export const StopwatchFill: Icon;
export const Stopwatch: Icon;
export const Subtract: Icon;
export const Sun: Icon;
export const Table: Icon;
export const TabletLandscape: Icon;
export const Tablet: Icon;
export const TagFill: Icon;
export const Tag: Icon;
export const TerminalFill: Icon;
export const Terminal: Icon;
export const TextCenter: Icon;
export const TextIndentLeft: Icon;
export const TextIndentRight: Icon;
export const TextLeft: Icon;
export const TextRight: Icon;
export const TextareaT: Icon;
export const Textarea: Icon;
export const ThreeDotsVertical: Icon;
export const ThreeDots: Icon;
export const ToggleOff: Icon;
export const ToggleOn: Icon;
export const Toggles: Icon;
export const Tools: Icon;
export const TrashFill: Icon;
export const Trash: Icon;
export const Trash2Fill: Icon;
export const Trash2: Icon;
export const TriangleFill: Icon;
export const TriangleHalf: Icon;
export const Triangle: Icon;
export const Trophy: Icon;
export const TruckFlatbed: Icon;
export const Truck: Icon;
export const TvFill: Icon;
export const Tv: Icon;
export const TypeBold: Icon;
export const TypeH1: Icon;
export const TypeH2: Icon;
export const TypeH3: Icon;
export const TypeItalic: Icon;
export const TypeStrikethrough: Icon;
export const TypeUnderline: Icon;
export const Type: Icon;
export const Union: Icon;
export const UnlockFill: Icon;
export const Unlock: Icon;
export const UpcScan: Icon;
export const Upc: Icon;
export const Upload: Icon;
export const ViewList: Icon;
export const ViewStacked: Icon;
export const VolumeDownFill: Icon;
export const VolumeDown: Icon;
export const VolumeMuteFill: Icon;
export const VolumeMute: Icon;
export const VolumeOffFill: Icon;
export const VolumeOff: Icon;
export const VolumeUpFill: Icon;
export const VolumeUp: Icon;
export const Vr: Icon;
export const Wallet: Icon;
export const Wallet2: Icon;
export const Watch: Icon;
export const Wifi: Icon;
export const Window: Icon;
export const Wrench: Icon;
export const XCircleFill: Icon;
export const XCircle: Icon;
export const XDiamondFill: Icon;
export const XDiamond: Icon;
export const XOctagonFill: Icon;
export const XOctagon: Icon;
export const XSquareFill: Icon;
export const XSquare: Icon;
export const X: Icon;
